Package ru.bitel.oss.systems.inventory.resource.server.bean

# Class PhoneResourceDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<PhoneResource>
ru.bitel.bgbilling.common.dao.AbstractIdDao<PhoneResource>
ru.bitel.oss.systems.inventory.resource.server.bean.PhoneResourceDao

public class PhoneResourceDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<PhoneResource>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhoneResourceDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected PhoneResource`
  `getFromRS(ResultSet rs)`
  `void`
  `importData(int categoryId, String importData)`
  `List<PhoneResource>`
  `list()`
  `List<PhoneResource>`
  `list(int categoryId)`
  `List<PhoneResource>`
  `list(int categoryId, Date date)`
  `List<PhoneResource>`
  `list(Date dateFrom, Date dateTo)`
  `List<PhoneResource>`
  `list(Set<Integer> categoryIds)`
  `protected void`
  `updateImpl(PhoneResource phoneResource)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PhoneResourceDao

    public PhoneResourceDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected PhoneResource getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<PhoneResource>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(PhoneResource phoneResource) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<PhoneResource>`
    Throws:
      `SQLException`

  - ### list

    public List<PhoneResource> list() throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<PhoneResource> list(int categoryId) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<PhoneResource> list(int categoryId, Date date) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<PhoneResource> list(Date dateFrom, Date dateTo) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<PhoneResource> list(Set<Integer> categoryIds) throws SQLException
    Throws:
      `SQLException`

  - ### importData

    public void importData(int categoryId, String importData) throws SQLException
    Throws:
      `SQLException`